{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}


{% block stylesheet %}


<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">
<link href="{% static 'css/animate.css' %}" rel="stylesheet">
<link href="{% static 'css/style.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Crear Rúbrica-ABET" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Crear Rúbrica-ABET" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;" id="titulo_rubrica">Nueva Rúbrica</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="row" id="form_create">
                    <div class="col-md-4" >{{form.name|bootstrap}}</div>
                    <div class="col-md-4" >{{form.carreer|bootstrap}}</div>
                    <div class="col-md-4" >{{form.subject|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_suf|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_enpr|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_inci|bootstrap}}</div>
                    <div class="col-md-2"></div>
                    <div class="col-md-4">
                        <button type="button" style="margin-top: 24px" id="accept_name" class="btn btn-block btn-primary">
                            Aceptar
                            <i class="fa fa-check" style="color:white"></i>
                        </button>
                    </div>
                <hr>
                </div>
                <div class="row outcomes animated fadeInRight" style="display:none">
                    <div class="form-group col-md-8">
                        {{form.outcome|bootstrap}}
                    </div>
                    <div class="col-md-4" id="button_outcome">  
                        <button type="button" id="add_outcome" class="btn btn-block btn-primary" data-rubricpk="" style="margin-top: 22px">Incluir Outcome</button>
                    </div>
                </div>
                <hr>
                <div class="row outcomes" style="display:none">
                    <div class="ibox">
                        <div class="ibox-title bg-info">
                            <h5 style="font-size:20px;">Outcomes a evaluar</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up" style="color:white"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" id="outcome_content">
                            
                        </div>
                    </div>
                </div>
                <div class="row outcomes" style="display:none">
                    <div class="col-md-4 pull-right">
                        <a href="{% url 'planning_abet_rubric_list' %}" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
                            Guardar
                            <i class="fa fa-check" style="color:white"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}


{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>

<script>
    
$(document).on("click",".remove_outcome",function(e){
    console.log(e.trigger)
    var outcome_pk = $(this).data('outcomepk');
    var rubric_pk = $("#add_outcome").data('rubricpk')  
    var button = $(this);
    data ={
        outcome_pk: outcome_pk,
        rubric_pk: rubric_pk,
        carreer_pk: carreer_pk,
        csrfmiddlewaretoken: '{{ csrf_token }}',
          };

    $.ajax({
        type: "post",
        dataType: "json",
        url: "{% url 'planning_rubric_outcome_remove' %}",
        data: data ,

        beforeSend: function(data){
            console.log(data);
        },
        success: function(data){
            $("#id_outcome").html(data.outcomes_opt);
            button.parent().parent().parent().remove();
        },
    });
});

$(document).ready(function(){


    $("#id_carreer").on("change", function(){
        carreer_pk = $("#id_carreer").val();
        var data = {

            carreer_pk : carreer_pk, 
            csrfmiddlewaretoken: '{{ csrf_token }}'
            
            };
            
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'get_carreer_subject' %}",
            data: data,

            success: function(data){
                $("#id_subject").html(data.subjects)
            },

        });
    });

    $("#accept_name").click(function(){
        var nota_suf = parseInt($("#id_nota_suf").val(),10);
        var nota_enpr = parseInt($("#id_nota_enpr").val(),10);
        var nota_inci = parseInt($("#id_nota_inci").val(),10);

        if (nota_suf>nota_enpr && nota_enpr>nota_inci && nota_suf<=7 && nota_inci>=1){

            $("#form_create").addClass("animated fadeOutLeft");
            $("#form_create").hide();

            var data={

                nombre: $("#id_name").val(),
                subject_pk: $("#id_subject").val(),
                carreer_pk: $("#id_carreer").val(),
                nota_suf: $("#id_nota_suf").val(),
                nota_enpr: $("#id_nota_enpr").val(),
                nota_inci: $("#id_nota_inci").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}',

            };

            var data2={

                carreer_pk: $("#id_carreer").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}',

            }
            $(".outcomes").addClass("animated fadeInRight");
            $(".outcomes").show();
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'planning_abet_rubric_create' %}",
                data: data,

                success: function(data){
                    $("#titulo_rubrica").html(data.titulo);
                    $("#add_outcome").attr('data-rubricpk',data.rubricpk)
                },

                error: function(data){
                    alert('Error al crear la rubrica');
                },
            });
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'get_carreer_outcomes' %}",
                data: data2,

                success: function(data){
                    $("#id_outcome").html(data.outcomes);
                },

                error: function(data){
                    alert("problema con los datos");
                },
            });
        } else {
            swal({
                title: "Notas incorrectas",
                text: "Las notas deben ser crecientes de incipiente a suficiente. (nota máxima 7)",
                type: "error",
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Entendido.",
                closeOnConfirm: false
            });
        };
    });

    $("#id_outcome").select2({ width: '100%' });

    $("#add_outcome").click(function(){
        var outcome_pks = $("#id_outcome").val();
        var rubric_pk = $(this).data('rubricpk')
        data = {
            rubric_pk: rubric_pk,
            "keys[]": outcome_pks,
            carreer_pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}',
        };
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'planning_abet_rubric_add_outcomes' %}",
            data: data,

            success: function(data){
                $("#outcome_content").append(data.outcomes);
                $("#id_outcome").select2("val","");
                $("#id_outcome").html(data.outcomes_opt);
            },
        });
    });

    $(".remove_outcome").click(function(){


    });
});

</script>
{% endblock javascript %}

